Package org.talend.transform.runtime.api

# Interface StructRuntime

All Superinterfaces:
  `MapOrStructRuntime`

public interface StructRuntime extends MapOrStructRuntime
Runtime interface used for structure execution. Objects of this type are obtained from the RuntimeEngine class.

## Method Summary

Modifier and Type
Method
Description
`void`
`ignoreSkipLines()`
Ignore the skip of lines
`ExecutionStatus`
`prepare()`
Prepare the Structure for execution.
`ExecutionStatus`
`prepare(String inputAvroSchema, String outputAvroSchema)`
Prepare the Structure for execution.
`ExecutionStatus`
`run(Source source, Result result)`
Execute a Structure.

### Methods inherited from interface org.talend.transform.runtime.api.MapOrStructRuntime

`getName, getRelativeName, run, validate`

## Method Details

### run

ExecutionStatus run(Source source, Result result)
Execute a Structure.

Converts data from one representation to another.

Parameters:
  `source` - the source data to be converted. This must conform the source representation chosen when the StructRuntime was created
  `result` - the result of the conversion. This must conform the result representation chosen when the StructRuntime was created
Returns:
  the execution status that you should check to verify if the conversion worked. In case of failure, the Status will contain details about the reason and the offending elements in the Structure.

### prepare

ExecutionStatus prepare()
Prepare the Structure for execution.

Returns:
  the execution status that you should check to verify if the preparation worked. In case of failure, the Status will contain details about the reason and the offending elements in the Structure.

### prepare

ExecutionStatus prepare(String inputAvroSchema, String outputAvroSchema)
Prepare the Structure for execution.

This is an alternative to `prepare()` in situations where avro schemas are known already. This avoids having the runtime export the Structures to generate the avro schemas.

Parameters:
  `inputAvroSchema` - the input avro schema (as a json string)
  `outputAvroSchema` - the output avro schema (as a json string)
Returns:
  the execution status

### ignoreSkipLines

void ignoreSkipLines()
Ignore the skip of lines